Bug 88983 - post 9 install -- up2date crashes system
post 9 install -- up2date crashes system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
9
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-15 19:10 EDT by Paul La Marre
Modified: 2007-04-18 12:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 17:26:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul La Marre 2003-04-15 19:10:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461; 
Q312461; .NET CLR 1.0.3705)

Description of problem:
Red Hat 8, ext3, upto date per 'up2date' system updated to 9 via CD burned from 
download.

Install -- OK.

Red Hat Network (up2date), post install listed number of packages
needed to be updated.  Made several attempts -- all 'successful' but
up2date says still needed to run.

Manual check should vi rpm -q show version differences.

Ran 'rm -f /var/spool/up2date/*'.  This was a suggested solution
to a previous reported bug for a failed up2date (php-manual).

Attempted to run up2date.  This attempt hung system.  Cold reboot
results in unbootabel system:

   Booting 'Red Hat Linux (2.4.20-8)'

Root (hd0,0)
  Filesystem type is ext2fs, partition type 0x83
Kernal /vmlinuz-2.4.20-8 ro root=LABEL=/
    [Linux-bzImage, setup=0x1400, size=0x10a4f4]
initrd /initrd-2.4.20-8.img
    [Linux-initrd @ 0x7fb5000, 0x3ae76 bytes]

Uncompressing Linux ...

crc error	


-- System halted


I am VERY, VERY, VERY upset.
 

Version-Release number of selected component (if applicable):
unable to provide -- most recent ?

How reproducible:
Didn't try

Steps to Reproduce:
1.See discrition
2.
3.
    

Actual Results:  System unusable.

Expected Results:  Clean update.

Additional info:

See registered system 'pglm' for system details.
Comment 1 Paul La Marre 2003-04-16 11:21:03 EDT
I am able to boot from floppy.

Doing a ls -l of /boot I find two files "vmlinux-2.4.20-8".

Two files same name, same directory, same attributes, different
size ??

One is 3036023 and the second is 1096436 ??

How is the file manager allowing duplicate names??  Which is correct??
What gives?

Also on another issue -- lpd fails start on boot "Cannot bind to lpd port'515'".

In searching the net I find others with the same issue -- what gives?
Comment 2 Michael Lee Yohe 2003-04-16 14:11:13 EDT
The file manager is not allowing two files with the same name.  This appears to
be file system corruption!  You need to do an exhaustive file system check (via
e2fsck if your file systems are of the default ext3) on your /boot partition.

I don't think this bug has anything to do with up2date, however.  Until e2fsck
gives the thumbs up on your system's computer - you may not be able to figure
out the problem.
Comment 3 Paul La Marre 2003-04-16 18:13:32 EDT
I used e2fsck -n on all mounted partions.

All reported "clean".

Next?
Comment 4 Michael Lee Yohe 2003-04-16 18:27:52 EDT
"clean" just means e2fsck checked to see if the clean bit was enabled - it was.
 "clean" status is an assumption that the file system has been checked, fixed,
and validated.  You must "-f" (force) e2fsck to ignore the clean status.
Comment 5 Paul La Marre 2003-04-16 19:03:48 EDT
1) my mistake eyes aren't what they should be on file dup -- 
one is vmlinux..., other vmlinuz....

2) e2fsck -f ... no errors.

3) reboot from floppy -- ok

4) reboot from / (/dev/hda5) -- looks ok

5) Now -- why did up2date not update -- downloads rpm's but not apply
(the orginal question)?
Comment 6 Paul La Marre 2003-04-16 19:16:13 EDT
Trying to update --- again.

Red Hat Network says updates available, and is trying to update now.

Icon is blue check mark -- Up to date indicator?
Comment 7 Paul La Marre 2003-04-16 19:42:19 EDT
Running Red Hat Network (up2date).

Found packages, check conflicts, downloaded --
it has now been installing for over 5 min. -- 
hour glass spinning, progress bars not showing
any progress?
Comment 8 Paul La Marre 2003-04-16 19:46:03 EDT
up2ate just silently died.

Icon red. Clicking on it -- notification tool
indicates updates not applied.

Yes there is a problem!!
Comment 9 Paul La Marre 2003-04-17 12:41:19 EDT
Did a e2fsck -f /dev/... for all (hda1...).

I have run from the commandline :
 1) up2date -p
 2) up2date -v -i -k /var/spool/up2date/*
 
 3)rpm -i /var/spool/up2date/samba-swat-2.2.7a-8.9.0.i386.rpm
      file /usr/sbin/swat from install of samba-swat... conflicts with file 
from package samba-swat-2.2.7a-7.9.0
      file /usr/share/man/man8/swat.8.gz from ... conflicts with file ...

Same result for balsa.

??

Comment 10 Paul La Marre 2003-04-17 12:52:40 EDT
Running rpm -v -U /var/spool/up2date/balsa-2.0.6-2.i38b.rpm

did get the package to install.

Ergo -> up2date is not working??!??
Comment 11 Paul La Marre 2003-04-17 13:06:38 EDT
Concern:

Ver 8 used SWAT and had it as a menu item.
Ver 9 does not have SWAT as a menu item, /spool/up2date does not
list redhat-config-samba in menu or /spool/up2date -- net result
is the samba configurator is "lost" during upgrade -- what else
is lost? and how to "recover" ?

Orginally the ver 8 system was install with "everything".

I also do not want to install all of the kde and spdf non-English language
support.

Note You need to log in before you can comment on or make changes to this bug.